Index: cpukit/itron/ChangeLog
===================================================================
--- cpukit/itron/ChangeLog	(revision e81cc508c218f3dbdc1d65101286d9a190ee89f9)
+++ cpukit/itron/ChangeLog	(revision 8a2c17969e843607123e63b34fcae7896c419c55)
@@ -1,2 +1,7 @@
+2004-01-14	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* Makefile.am: Re-add dirstamps to PREINSTALL_FILES.
+	Add PREINSTALL_FILES to CLEANFILES.
+
 2004-01-11  Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: cpukit/itron/Makefile.am
===================================================================
--- cpukit/itron/Makefile.am	(revision e81cc508c218f3dbdc1d65101286d9a190ee89f9)
+++ cpukit/itron/Makefile.am	(revision 8a2c17969e843607123e63b34fcae7896c419c55)
@@ -7,4 +7,5 @@
 
 EXTRA_DIST =
+CLEANFILES =
 
 if HAS_ITRON
@@ -106,5 +107,5 @@
 
 EXTRA_LIBRARIES = libitron.a
-CLEANFILES = libitron.a
+CLEANFILES += libitron.a
 libitron_a_SOURCES = $(C_FILES)
 libitron_a_CPPFLAGS = $(AM_CPPFLAGS) $(CFLAGS_OPTIMIZE_V)
@@ -129,4 +130,5 @@
 	@$(mkdir_p) $(PROJECT_INCLUDE)
 	@: > $(PROJECT_INCLUDE)/$(dirstamp)
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/$(dirstamp)
 
 if HAS_ITRON
@@ -138,4 +140,5 @@
 	@$(mkdir_p) $(PROJECT_INCLUDE)/itronsys
 	@: > $(PROJECT_INCLUDE)/itronsys/$(dirstamp)
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/itronsys/$(dirstamp)
 
 $(PROJECT_INCLUDE)/itronsys/eventflags.h: include/itronsys/eventflags.h $(PROJECT_INCLUDE)/itronsys/$(dirstamp)
@@ -198,4 +201,5 @@
 	@$(mkdir_p) $(PROJECT_INCLUDE)/rtems/itron
 	@: > $(PROJECT_INCLUDE)/rtems/itron/$(dirstamp)
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/rtems/itron/$(dirstamp)
 
 $(PROJECT_INCLUDE)/rtems/itron/config.h: include/rtems/itron/config.h $(PROJECT_INCLUDE)/rtems/itron/$(dirstamp)
@@ -359,3 +363,5 @@
 endif
 
+CLEANFILES += $(PREINSTALL_FILES)
+
 include $(top_srcdir)/automake/local.am
Index: cpukit/libblock/ChangeLog
===================================================================
--- cpukit/libblock/ChangeLog	(revision e81cc508c218f3dbdc1d65101286d9a190ee89f9)
+++ cpukit/libblock/ChangeLog	(revision 8a2c17969e843607123e63b34fcae7896c419c55)
@@ -1,2 +1,7 @@
+2004-01-14	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* Makefile.am: Re-add dirstamps to PREINSTALL_FILES.
+	Add PREINSTALL_FILES to CLEANFILES.
+
 2004-01-11  Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: cpukit/libblock/Makefile.am
===================================================================
--- cpukit/libblock/Makefile.am	(revision e81cc508c218f3dbdc1d65101286d9a190ee89f9)
+++ cpukit/libblock/Makefile.am	(revision 8a2c17969e843607123e63b34fcae7896c419c55)
@@ -34,4 +34,5 @@
 	@$(mkdir_p) $(PROJECT_INCLUDE)/rtems
 	@: > $(PROJECT_INCLUDE)/rtems/$(dirstamp)
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/rtems/$(dirstamp)
 
 $(PROJECT_INCLUDE)/rtems/bdbuf.h: include/rtems/bdbuf.h $(PROJECT_INCLUDE)/rtems/$(dirstamp)
@@ -55,3 +56,5 @@
 PREINSTALL_FILES += $(PROJECT_INCLUDE)/rtems/ide_part_table.h
 
+CLEANFILES += $(PREINSTALL_FILES)
+
 include $(top_srcdir)/automake/local.am
Index: cpukit/libcsupport/ChangeLog
===================================================================
--- cpukit/libcsupport/ChangeLog	(revision e81cc508c218f3dbdc1d65101286d9a190ee89f9)
+++ cpukit/libcsupport/ChangeLog	(revision 8a2c17969e843607123e63b34fcae7896c419c55)
@@ -1,2 +1,7 @@
+2004-01-14	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* Makefile.am: Re-add dirstamps to PREINSTALL_FILES.
+	Add PREINSTALL_FILES to CLEANFILES.
+
 2004-01-12	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: cpukit/libcsupport/Makefile.am
===================================================================
--- cpukit/libcsupport/Makefile.am	(revision e81cc508c218f3dbdc1d65101286d9a190ee89f9)
+++ cpukit/libcsupport/Makefile.am	(revision 8a2c17969e843607123e63b34fcae7896c419c55)
@@ -120,6 +120,5 @@
 libcsupport_a_SOURCES += $(LIBC_GLUE_C_FILES) $(PASSWORD_GROUP_C_FILES) \
     $(TERMINAL_IDENTIFICATION_C_FILES) $(SYSTEM_CALL_C_FILES) \
-    $(DIRECTORY_SCAN_C_FILES) $(ID_C_FILES) \
-    src/envlock.c
+    $(DIRECTORY_SCAN_C_FILES) $(ID_C_FILES) src/envlock.c
 endif
 
@@ -134,4 +133,5 @@
 	@$(mkdir_p) $(PROJECT_INCLUDE)
 	@: > $(PROJECT_INCLUDE)/$(dirstamp)
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/$(dirstamp)
 
 $(PROJECT_INCLUDE)/chain.h: include/chain.h $(PROJECT_INCLUDE)/$(dirstamp)
@@ -186,4 +186,5 @@
 	@$(mkdir_p) $(PROJECT_INCLUDE)/motorola
 	@: > $(PROJECT_INCLUDE)/motorola/$(dirstamp)
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/motorola/$(dirstamp)
 
 $(PROJECT_INCLUDE)/motorola/mc68230.h: include/motorola/mc68230.h $(PROJECT_INCLUDE)/motorola/$(dirstamp)
@@ -198,4 +199,5 @@
 	@$(mkdir_p) $(PROJECT_INCLUDE)/rtems
 	@: > $(PROJECT_INCLUDE)/rtems/$(dirstamp)
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/rtems/$(dirstamp)
 
 $(PROJECT_INCLUDE)/rtems/assoc.h: include/rtems/assoc.h $(PROJECT_INCLUDE)/rtems/$(dirstamp)
@@ -230,4 +232,5 @@
 	@$(mkdir_p) $(PROJECT_INCLUDE)/sys
 	@: > $(PROJECT_INCLUDE)/sys/$(dirstamp)
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/sys/$(dirstamp)
 
 $(PROJECT_INCLUDE)/sys/ioccom.h: include/sys/ioccom.h $(PROJECT_INCLUDE)/sys/$(dirstamp)
@@ -270,4 +273,5 @@
 	@$(mkdir_p) $(PROJECT_INCLUDE)/zilog
 	@: > $(PROJECT_INCLUDE)/zilog/$(dirstamp)
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/zilog/$(dirstamp)
 
 $(PROJECT_INCLUDE)/zilog/z8036.h: include/zilog/z8036.h $(PROJECT_INCLUDE)/zilog/$(dirstamp)
@@ -283,3 +287,5 @@
 PREINSTALL_FILES += $(PROJECT_INCLUDE)/zilog/z8536.h
 
+CLEANFILES += $(PREINSTALL_FILES)
+
 include $(top_srcdir)/automake/local.am
Index: cpukit/libfs/ChangeLog
===================================================================
--- cpukit/libfs/ChangeLog	(revision e81cc508c218f3dbdc1d65101286d9a190ee89f9)
+++ cpukit/libfs/ChangeLog	(revision 8a2c17969e843607123e63b34fcae7896c419c55)
@@ -1,2 +1,7 @@
+2004-01-14	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* Makefile.am: Re-add dirstamps to PREINSTALL_FILES.
+	Add PREINSTALL_FILES to CLEANFILES.
+
 2004-01-11  Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: cpukit/libfs/Makefile.am
===================================================================
--- cpukit/libfs/Makefile.am	(revision e81cc508c218f3dbdc1d65101286d9a190ee89f9)
+++ cpukit/libfs/Makefile.am	(revision 8a2c17969e843607123e63b34fcae7896c419c55)
@@ -91,4 +91,5 @@
 	@$(mkdir_p) $(PROJECT_INCLUDE)
 	@: > $(PROJECT_INCLUDE)/$(dirstamp)
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/$(dirstamp)
 
 $(PROJECT_INCLUDE)/imfs.h: src/imfs/imfs.h $(PROJECT_INCLUDE)/$(dirstamp)
@@ -102,3 +103,5 @@
 endif
 
+CLEANFILES += $(PREINSTALL_FILES)
+
 include $(top_srcdir)/automake/local.am
Index: cpukit/libmisc/ChangeLog
===================================================================
--- cpukit/libmisc/ChangeLog	(revision e81cc508c218f3dbdc1d65101286d9a190ee89f9)
+++ cpukit/libmisc/ChangeLog	(revision 8a2c17969e843607123e63b34fcae7896c419c55)
@@ -1,2 +1,7 @@
+2004-01-14	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* Makefile.am: Re-add dirstamps to PREINSTALL_FILES.
+	Add PREINSTALL_FILES to CLEANFILES.
+
 2004-01-11  Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: cpukit/libmisc/Makefile.am
===================================================================
--- cpukit/libmisc/Makefile.am	(revision e81cc508c218f3dbdc1d65101286d9a190ee89f9)
+++ cpukit/libmisc/Makefile.am	(revision 8a2c17969e843607123e63b34fcae7896c419c55)
@@ -252,8 +252,10 @@
 	@$(mkdir_p) $(PROJECT_INCLUDE)
 	@: > $(PROJECT_INCLUDE)/$(dirstamp)
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/$(dirstamp)
 
 $(PROJECT_INCLUDE)/rtems/$(dirstamp):
 	@$(mkdir_p) $(PROJECT_INCLUDE)/rtems
 	@: > $(PROJECT_INCLUDE)/rtems/$(dirstamp)
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/rtems/$(dirstamp)
 
 $(PROJECT_INCLUDE)/rtems/capture.h: capture/capture.h $(PROJECT_INCLUDE)/rtems/$(dirstamp)
@@ -329,3 +331,5 @@
 PREINSTALL_FILES += $(PROJECT_INCLUDE)/rtems/fsmount.h
 
+CLEANFILES += $(PREINSTALL_FILES)
+
 include $(top_srcdir)/automake/local.am
Index: cpukit/posix/ChangeLog
===================================================================
--- cpukit/posix/ChangeLog	(revision e81cc508c218f3dbdc1d65101286d9a190ee89f9)
+++ cpukit/posix/ChangeLog	(revision 8a2c17969e843607123e63b34fcae7896c419c55)
@@ -1,2 +1,7 @@
+2004-01-14	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* Makefile.am: Re-add dirstamps to PREINSTALL_FILES.
+	Add PREINSTALL_FILES to CLEANFILES.
+
 2004-01-11  Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: cpukit/posix/Makefile.am
===================================================================
--- cpukit/posix/Makefile.am	(revision e81cc508c218f3dbdc1d65101286d9a190ee89f9)
+++ cpukit/posix/Makefile.am	(revision 8a2c17969e843607123e63b34fcae7896c419c55)
@@ -7,4 +7,5 @@
 
 EXTRA_DIST =
+CLEANFILES =
 
 if HAS_POSIX
@@ -151,5 +152,5 @@
 
 EXTRA_LIBRARIES = libposix.a
-CLEANFILES = libposix.a
+CLEANFILES += libposix.a
 libposix_a_SOURCES = $(C_FILES)
 libposix_a_CPPFLAGS = $(AM_CPPFLAGS) $(CFLAGS_OPTIMIZE_V)
@@ -179,4 +180,5 @@
 	@$(mkdir_p) $(PROJECT_INCLUDE)
 	@: > $(PROJECT_INCLUDE)/$(dirstamp)
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/$(dirstamp)
 
 if HAS_POSIX
@@ -200,4 +202,5 @@
 	@$(mkdir_p) $(PROJECT_INCLUDE)/rtems/posix
 	@: > $(PROJECT_INCLUDE)/rtems/posix/$(dirstamp)
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/rtems/posix/$(dirstamp)
 
 $(PROJECT_INCLUDE)/rtems/posix/cancel.h: include/rtems/posix/cancel.h $(PROJECT_INCLUDE)/rtems/posix/$(dirstamp)
@@ -351,3 +354,5 @@
 endif
 
+CLEANFILES += $(PREINSTALL_FILES)
+
 include $(top_srcdir)/automake/local.am
